summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Nishant Limbachia2011-07-03 19:38:24 +0200
committer Niels Horn2011-07-15 02:54:01 +0200
commit8f35cc6ad9a9a6d52b6fc971dabe0feb72798a73 (patch)
treee90767d161d3cd466dde0e64ac5f33b0ff6daea3 /desktop
parente1a5ebdac49ac40c14afca5e25c2058a191a5c5f (diff)
downloadslackbuilds-8f35cc6ad9a9a6d52b6fc971dabe0feb72798a73.tar.gz
desktop/faenza-icon-theme: Added (icon theme)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/faenza-icon-theme/README4
-rw-r--r--desktop/faenza-icon-theme/faenza-icon-theme.SlackBuild63
-rw-r--r--desktop/faenza-icon-theme/faenza-icon-theme.info10
-rw-r--r--desktop/faenza-icon-theme/slack-desc18
4 files changed, 95 insertions, 0 deletions
diff --git a/desktop/faenza-icon-theme/README b/desktop/faenza-icon-theme/README
new file mode 100644
index 0000000000..22a1814360
--- /dev/null
+++ b/desktop/faenza-icon-theme/README
@@ -0,0 +1,4 @@
+Faenza icon theme for GNOME and XFCE desktop.
+
+Alternate home page for more information on the theme.
+http://tiheum.deviantart.com/art/Faenza-Icons-173323228 \ No newline at end of file
diff --git a/desktop/faenza-icon-theme/faenza-icon-theme.SlackBuild b/desktop/faenza-icon-theme/faenza-icon-theme.SlackBuild
new file mode 100644
index 0000000000..ea1e228705
--- /dev/null
+++ b/desktop/faenza-icon-theme/faenza-icon-theme.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware Package Build Script for Faenza icon theme
+# Home Page: http://tiheum.deviantart.com/art/Faenza-Icons-173323228
+
+# Copyright (c) 2011, Nishant Limbachia, Hoffman Estates, IL, USA
+# <nishant _AT_ mnspace _DOT_ net>
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="faenza-icon-theme"
+VERSION=${VERSION:-0.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch ## hardcode ARCH
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -fr $TMP/$PRGNAM\_$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT $TMP/$PRGNAM\_$VERSION
+cd $TMP/$PRGNAM\_$VERSION
+tar -xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+chown -R root.root .
+find . -type f -exec chmod 644 {} \;
+find . -type d -exec chmod 755 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -a Faenza Faenza-Dark Faenza-Darker Faenza-Darkest $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/faenza-icon-theme/faenza-icon-theme.info b/desktop/faenza-icon-theme/faenza-icon-theme.info
new file mode 100644
index 0000000000..1e37678da4
--- /dev/null
+++ b/desktop/faenza-icon-theme/faenza-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="faenza-icon-theme"
+VERSION="0.9.2"
+HOMEPAGE="https://code.google.com/p/faenza-icon-theme/"
+DOWNLOAD="http://faenza-icon-theme.googlecode.com/files/faenza-icon-theme_0.9.2.tar.gz"
+MD5SUM="d9ccb808252fe35db0172d4090dd1927"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/desktop/faenza-icon-theme/slack-desc b/desktop/faenza-icon-theme/slack-desc
new file mode 100644
index 0000000000..b4a0b095b2
--- /dev/null
+++ b/desktop/faenza-icon-theme/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler---------------------------------------------------|
+faenza-icon-theme: faenza-icon-theme (gnome icon theme)
+faenza-icon-theme:
+faenza-icon-theme: Repackaging of popular Faenza icon theme for GNOME.
+faenza-icon-theme:
+faenza-icon-theme:
+faenza-icon-theme: Home Page: https://code.google.com/p/faenza-icon-theme/
+faenza-icon-theme:
+faenza-icon-theme:
+faenza-icon-theme:
+faenza-icon-theme:
+faenza-icon-theme: